Skip to content

Revoke Api Key

DELETE
/api/v1/api-keys/{key_id}
curl --request DELETE \
--url https://api.qeychain.xyz/api/v1/api-keys/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0

Revoke an API key.

This is permanent - the key cannot be un-revoked. Create a new key if needed.

Requires: admin:api-keys permission

key_id
required
Key Id
string format: uuid
reason
Any of:
string

Reason for revocation

Successful Response

Media typeapplication/json
Response Revoke Api Key Api V1 Api Keys Key Id Delete
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}